Package org.apache.sysds.runtime.functionobjects

## Class ReduceRow

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.IndexFunction
    - - org.apache.sysds.runtime.functionobjects.ReduceRow

- All Implemented Interfaces:
    `Serializable`

      public class ReduceRow
      extends IndexFunction

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `computeDimension​(int row, int col, MatrixValue.CellIndex retDim)` |
    `boolean` | `computeDimension​(DataCharacteristics in, DataCharacteristics out)` |
    `void` | `execute​(MatrixIndexes in, MatrixIndexes out)` |
    `void` | `execute​(MatrixValue.CellIndex in, MatrixValue.CellIndex out)` |
    `static ReduceRow` | `getReduceRowFnObject()` |

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getReduceRowFnObject

          public static ReduceRow getReduceRowFnObject()

    - #### execute

          public void execute​(MatrixIndexes in,
                              MatrixIndexes out)

      Specified by:
        `execute` in class `IndexFunction`

    - #### execute

          public void execute​(MatrixValue.CellIndex in,
                              MatrixValue.CellIndex out)

      Specified by:
        `execute` in class `IndexFunction`

    - #### computeDimension

          public boolean computeDimension​(int row,
                                          int col,
                                          MatrixValue.CellIndex retDim)

      Specified by:
        `computeDimension` in class `IndexFunction`

    - #### computeDimension

          public boolean computeDimension​(DataCharacteristics in,
                                          DataCharacteristics out)

      Specified by:
        `computeDimension` in class `IndexFunction`